Name:           lzip
Version:        1.23
Release:        4%{?dist}.frs
Summary:        lossless data compressor with a user interface similar to the one of gzip or bzip2

Group:          Applications/File
License:        GPLv3+
URL:            http://www.nongnu.org/lzip/lziprecover.html
Source0:        http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/lzip/lzip-%{version}.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++

Requires(post): info
Requires(preun): info

%description
Lzip is a lossless data compressor with a user interface similar to the one
of gzip or bzip2. Lzip uses a simplified form of the 'Lempel-Ziv-Markov
chain-Algorithm' (LZMA) stream format, chosen to maximize safety and interoperability.
Lzip can compress about as fast as gzip (lzip -0) or compress most files more than
bzip2 (lzip -9). Decompression speed is intermediate between gzip and bzip2.
Lzip is better than gzip and bzip2 from a data recovery perspective. Lzip has been
designed, written, and tested with great care to replace gzip and bzip2 as the
standard general-purpose compressed format for unix-like systems.


%prep
%setup -q
# file needs to be copied, because it is used in "make check"
cp -a COPYING{,.txt}
# convert CRLF to LF
sed -i 's/\r//' COPYING.txt 


%build
%configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install install-man DESTDIR=$RPM_BUILD_ROOT

# if install-info is present, this is created by upstream's makefile
rm -Rf $RPM_BUILD_ROOT%{_infodir}/dir


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
# TODO is currently empty
%doc AUTHORS ChangeLog COPYING.txt NEWS README
%{_bindir}/lzip
%{_infodir}/lzip.info*
%{_mandir}/man1/lzip.1*

%changelog
* Sun Oct 17 2021 FRS Packager <packager@fr-software.com> - 1.22-1
- Bumped to 1.22, initial spec for CentOS

